#!/bin/sh

. /usr/share/phytec-gstreamer-examples/func.sh

init_dev
[ $? -ne 0 ] && exit 1

guess_param

echo "select Port and Decoding"
echo "========================"
echo "1 = CH0 (FBAS@BNC), Composite Decoding"
echo "2 = CH1 (FBAS@BNC), Composite Decoding"
echo "3 = CH2 (FBAS@BNC), Composite Decoding"
echo "4 = CH3 (S-VIDEO@Mini-DIN), S-Video Decoding"
read PORT
echo "Your select = $PORT"

CAM_DEVICE_VM008=${CAM_DEVICE#*-}

case $PORT in
  "1") v4l2-dbg -c $CAM_DEVICE_VM008 -s 0x02 0x40;;
  "2") v4l2-dbg -c $CAM_DEVICE_VM008 -s 0x02 0x44;;
  "3") v4l2-dbg -c $CAM_DEVICE_VM008 -s 0x02 0x48;;
  "4") v4l2-dbg -c $CAM_DEVICE_VM008 -s 0x02 0x5c;;
  *) v4l2-dbg -c $CAM_DEVICE_VM008 -s 0x02 0x40;;
  
esac

